Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class HoverSupport

    java.lang.Object
      java.awt.event.MouseAdapter
          com.pietschy.command.HoverSupport

All Implemented Interfaces:
  java.awt.event.HierarchyListener, java.awt.event.MouseListener, java.util.EventListener, javax.swing.event.PopupMenuListener

     class HoverSupport

extends java.awt.event.MouseAdapter
implements java.awt.event.HierarchyListener, javax.swing.event.PopupMenuListener

Listens to various component events and fires the appropriate hover events.

Constructor Summary
`HoverSupport(Command command)` Creates a new instance for the specified command.

Method Summary
`void` | `hierarchyChanged(java.awt.event.HierarchyEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `popupMenuCanceled(javax.swing.event.PopupMenuEvent e)`
`void` | `popupMenuWillBecomeInvisible(javax.swing.event.PopupMenuEvent e)`
`void` | `popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HoverSupport

    public HoverSupport(Command command)

  Creates a new instance for the specified command.

  Parameters:
    `command` -

Method Detail

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseEntered` in class `java.awt.event.MouseAdapter`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `java.awt.event.MouseAdapter`

### hierarchyChanged

    public void hierarchyChanged(java.awt.event.HierarchyEvent e)

  Specified by:
    `hierarchyChanged` in interface `java.awt.event.HierarchyListener`

### popupMenuWillBecomeVisible

    public void popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent e)

  Specified by:
    `popupMenuWillBecomeVisible` in interface `javax.swing.event.PopupMenuListener`

### popupMenuWillBecomeInvisible

    public void popupMenuWillBecomeInvisible(javax.swing.event.PopupMenuEvent e)

  Specified by:
    `popupMenuWillBecomeInvisible` in interface `javax.swing.event.PopupMenuListener`

### popupMenuCanceled

    public void popupMenuCanceled(javax.swing.event.PopupMenuEvent e)

  Specified by:
    `popupMenuCanceled` in interface `javax.swing.event.PopupMenuListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch